Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007173TestLinkReports - Test report matrixpublic2015-06-23 08:482015-09-19 08:49
Reportermbar 
Assigned Tofman 
PriorityhighSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.13 (2015 #1) 
Fixed in Version1.9.14 (2015 Q3) 
Summary0007173: Test report matrix - export to spreadsheet stopped working
DescriptionAfter you create a test project with test cases, create a test plan with build add and execute those test cases. Go to Test Reports, click on Test result matrix. You'll see all your execution history in a table.

But when you click on the XLS (export to spreadsheet) icon, right pane will turn to blank white and no file will be generated.
Steps To ReproduceAs above.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserFirefox, Chrome
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon abcdef.png [^] (194,786 bytes) 2015-06-24 10:15

- Relationships
child of 0006830closedfman Availables hot-fixes for 1.9.13 & How To get full fixed package from GitHub 

-  Notes
(0023539)
fman (administrator)
2015-06-23 21:30
edited on: 2015-06-23 21:31

unfortunately (as usual) information provided is not enough to do nothing.
Please as indicated on forum and here (
0007042: Guidelines / Tips - How to get help and answers (in self service mode))
 provide detailed steps to reproduce same exact scenario starting from step 1 => CREATE TEST PROJECT TPROJ-K and so on

in addition do fresh install of latest code, retest and provide feedback

(0023542)
mbar (reporter)
2015-06-24 06:08

I reproduced the problem on latest git version with fixes, dated 2015.06.23.

1. Create new test project PROJ1
2. Create 2 test cases: TC1, TC2.
3. Create a test plan in PROJ1: TestPlan1
4. Create a build: Build1
5. Assign TC1 and TC2 to TestPlan1
6. Execute tests in TestPlan1, save execution result of TC1 and TC2 (passed, failed, it does not matter here)
7. Go to Test Reports
8. Click Test result matrix
9. Click "Export Data as spreadsheet" -- a blank page will be shown.

Expected result: XLS file will be generated and downloaded.
(0023543)
fman (administrator)
2015-06-24 06:21

a debug die() (wrong) was there on github latest code => removed
get latest code and retest
(0023544)
mbar (reporter)
2015-06-24 10:15

Thanks for quick reply.
Yes, the XLS is generated now.

But the problem now is that the Excel file is almost empty (see screenshot).
"Test Case", "[Latest (created) Build]" and "Latest execution" columns are empty.
(0023572)
fman (administrator)
2015-06-29 20:28

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/ec7ef1cfcdc8a78e4d000d49f5f9bba708841049 [^]
(0023911)
fman (administrator)
2015-09-19 08:49

1.9.14 Padawan - released - 2015-09-19

- Issue History
Date Modified Username Field Change
2015-06-23 08:48 mbar New Issue
2015-06-23 21:30 fman Note Added: 0023539
2015-06-23 21:31 fman Note Edited: 0023539 View Revisions
2015-06-23 21:31 fman Note View State: 0023539: public
2015-06-23 21:31 fman Assigned To => fman
2015-06-23 21:31 fman Status new => feedback
2015-06-24 06:08 mbar Note Added: 0023542
2015-06-24 06:08 mbar Status feedback => assigned
2015-06-24 06:21 fman Note Added: 0023543
2015-06-24 06:22 fman Status assigned => feedback
2015-06-24 10:15 mbar Note Added: 0023544
2015-06-24 10:15 mbar Status feedback => assigned
2015-06-24 10:15 mbar File Added: abcdef.png
2015-06-29 20:28 fman QA Team - Task Workflow Status => READY FOR TESTING
2015-06-29 20:28 fman Note Added: 0023572
2015-06-29 20:28 fman Status assigned => resolved
2015-06-29 20:28 fman Resolution open => fixed
2015-06-29 20:28 fman Fixed in Version => 1.9.14 (2015 Q3)
2015-06-29 20:29 fman Relationship added child of 0006830
2015-09-19 08:49 fman Note Added: 0023911
2015-09-19 08:49 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker